global
    log 127.0.0.1 local2

defaults
    mode                    http
    log                     global
    timeout connect         10s
    timeout client          1m
    timeout server          1m

frontend main
    bind *:80
    default_backend app
    stats uri /haproxy

backend app
    balance     roundrobin
    server  app1 127.0.0.1:5001 check
    server  app2 127.0.0.1:5002 check
    server  app3 127.0.0.1:5003 check
    server  app4 127.0.0.1:5004 check
